
function [] = COMMON_POST(transition)
global global_info

switch transition.name
    case {'tC1', 'tC2', 'tAP', 'tM2AS'} 
        % do not release any resources as they are
        % required by the subsequent transition       
    case 'tC1M1'
        release('tC1'); % release "C1" acquired by tC1
    case 'tC2M2'
        release('tC2'); % release "C2" acquired by tC2
        release;        % also, release "R2" acquired by itself
    case 'tM1'              
        release;    % release "M1" acquired by itself
    case 'tM2'              
        release;    % release "M2" acquired by itself
    case 'tM1AS'   
        release('tC1M1');% release "R1" acquired by tC1M1        
    case 'tAS'   
        release('tC2M2');% release "R2" acquired by tC2M2
        release('tM1AS');% release "AS-1" acquired by tM1AS
        release('tM2AS');% release "AS-2" acquired by tM2AS
    case 'tPS'   
        release;         % release "R4" acquired by itself
    case 'tPCK'
        release('tAS');  % release "R3" acquired by tAP
    otherwise
        error('Cant come here');
end % switch 

  
n = ntokens('pOB'); % get the number of tokens in pOB
if eq(n,3), global_info.STOP_SIMULATION = 1; end

